<?php
/*********************************************************************************************
+ Plugin: Wybór grupy podczas rejestracji
+ Autor: Ecosse
+ Licencja: GPL v2

+ Specjalnie dla MyBBoard.pl
**********************************************************************************************
*/
if (!defined("IN_MYBB")) {
    die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("member_do_register_end", "wybor_grupy");

function wybor_grupy_info()
{
    return array(
        "name" => "Wybór grupy użytkownika podczas rejestracji",
        "description" => "Ten plugin umożliwa wybór grupy nowo rejestrującym się użytkownikom.",
        "website" => "http://mybboard.pl/",
        "author" => "Ecosse",
        "authorsite" => "http://mybboard.pl/",
        "version" => "1.0",
        "compatibility" => "14*,16*"
    );
    
}
function wybor_grupy_install()
{
    global $db, $mybb;
    
    $query        = $db->simple_select("settinggroups", "MAX(disporder) AS maxdisporder");
    $maxdisporder = $db->fetch_field($query, "maxdisporder");
    
    $wybor_grupy_group = array(
        "gid" => "NULL",
        "name" => "wybor_grupy",
        "title" => "Wybór grupy użytkownika podczas rejestracji",
        "description" => "Ustal, do której grupy zostanie przeniesiony użytkownik, gdy wybrał odpowiednią wartość podczas rejestracji.",
        "disporder" => $maxdisporder + 1,
        "isdefault" => "no"
    );
    $db->insert_query("settinggroups", $wybor_grupy_group);
    $gid = $db->insert_id();
    
    $disporder = 0;
    
    $wybor_grupy_setting_1 = array(
        "sid" => "NULL",
        "name" => "wybor_grupy_power",
        "title" => "Włączyć plugin?",
        "description" => "Wybierz Tak, jeżeli chcesz włączyć plugin.",
        "optionscode" => "yesno",
        "value" => "1",
        "disporder" => $disporder++,
        "gid" => intval($gid)
    );
    
    $db->insert_query("settings", $wybor_grupy_setting_1);
    
    $wybor_grupy_setting_2 = array(
        "sid" => "NULL",
        "name" => "wybor_grupy_fid",
        "title" => "ID niestandardowego pola profilu",
        "description" => "Określ ID dodatkowego pola profilu, którego chcesz użyć dla tego pluginu. Proszę podać tylko jedno ID.",
        "optionscode" => "text",
        "value" => "3",
        "disporder" => $disporder++,
        "gid" => intval($gid)
    );
    
    $db->insert_query("settings", $wybor_grupy_setting_2);
    
    $wybor_grupy_setting_3 = array(
        "sid" => "NULL",
        "name" => "wybor_grupy_option",
        "title" => "Opcje",
        "description" => "Określ opcję którą musi spełniać nowo rejestrujący się użytkownik przed dołączeniem do grupy. To jest opcja, którą wybiera się w niestandardowym polu proflu podczas rejestrcji.",
        "optionscode" => "text",
        "value" => "kobieta",
        "disporder" => $disporder++,
        "gid" => intval($gid)
    );
    
    $db->insert_query("settings", $wybor_grupy_setting_3);
    
    $wybor_grupy_setting_4 = array(
        "sid" => "NULL",
        "name" => "wybor_grupy_group",
        "title" => "Przeniesienie do danej grupy",
        "description" => "Wpisz ID grupy do której nowo zarejestrowani użytkownicy zostaną automatycznie przeniesieni. Wpisz tylko jeden ID grupy!",
        "optionscode" => "text",
        "value" => "8",
        "disporder" => $disporder++,
        "gid" => intval($gid)
    );
    
    $db->insert_query("settings", $wybor_grupy_setting_4);
    
    rebuild_settings();
}

function wybor_grupy_is_installed()
{
    global $db;
    $query = $db->simple_select("settinggroups", "COUNT(*) as rows", "name='wybor_grupy'");
    $rows  = $db->fetch_field($query, "rows");
    if ($rows > 0) {
        return TRUE;
    }
    
    return FALSE;
}

function wybor_grupy_activate()
{
}

function wybor_grupy_deactivate()
{
}

function wybor_grupy_uninstall()
{
    global $db, $mybb;
    $db->delete_query("settinggroups", "name = 'wybor_grupy'");
    $db->delete_query('settings', 'name LIKE \'%wybor%\'');
    
    rebuild_settings();
}

function wybor_grupy()
{
    global $db, $mybb, $user_info;
    $power = $mybb->settings['wybor_grupy_power'];
    $fid   = intval($mybb->settings['wybor_grupy_fid']);
    if ($power != "0" && !empty($fid)) {
        $field     = "fid" . $fid;
        $userfield = $mybb->input['profile_fields'][$field];
        
        if ($userfield == $mybb->settings['wybor_grupy_option']) {
            $update_array = array(
                "usergroup" => intval($mybb->settings['wybor_grupy_group'])
            );
            $db->update_query("users", $update_array, "uid='{$user_info['uid']}'");
        }
    }
}
?>
